import * as $dara from '@darabonba/typescript';
import { CreateCustomerGatewayResponseBody } from "./CreateCustomerGatewayResponseBody";
export declare class CreateCustomerGatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateCustomerGatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
